using GTANetworkAPI;

/**
* @overview Life of German Reallife - Event Voice (Voice.cs)
* @author Zeuto
* @copyright (c) 2008 - 2019 Life of German
*/

namespace ReallifeGamemode.Server.Events
{
    class Voice : Script
    {
        [RemoteEvent("CLIENT:AddVoiceListener")]
        public void AddPlayerVoiceListenerEvent(Client player, Client target)
        {
            player.EnableVoiceTo(target);
        }

        [RemoteEvent("CLIENT:RemoveVoiceListener")]
        public void RemovePlayerVoiceListenerEvent(Client player, Client target)
        {
            player.DisableVoiceTo(target);
        }
    }
}
